#!/usr/bin/env python

import sys

def get(k, def_val=None):
	n = len(k)
	argv = sys.argv[1:]
	typ = type(def_val)
	for i in range( len(argv) ):
		s = argv[i]
		if s[:n] == k:
			next = lambda : argv[i+1] if argv[i+1:] else ''
			v = s[n:] if s[n:] else next()
			return typ(v) if def_val != None and type(v) != typ else v
	return def_val			

def not_opt_argv(ks_v, ks_0):
	# ks_v : key list , key value or keyValue
	# ks_0 : key list , key (only)

	argv = sys.argv[1:]
	argv = list( filter( lambda a: a not in ks_0, argv ) )

	def f(a):
		for k in ks_v:
			if ( lambda n: a[:n] == k and a[n:] )( len(k) ):
				return False
		return True
	argv = list( filter( f, argv ) )
	
	for k in ks_v:
		while k in argv:
			i = argv.index(k)
			argv = argv[:i] + argv[i+2:]
	return argv	

def index(k):
	n = len(k)
	argv = sys.argv[1:]
	for i in range( len(argv) ):
		s = argv[i]
		if s[:n] == k:
			return i
	return -1
# EOF
